# AUTOGENERATED! DO NOT EDIT! File to edit: ../01_exif_explorer.ipynb.

# %% auto 0
__all__ = ['ImageData', 'open_image', 'extract_exif']

# %% ../01_exif_explorer.ipynb 3
from collections import namedtuple
from exif import Image

# %% ../01_exif_explorer.ipynb 4
# datastructure for image and their exif data

ImageData = namedtuple("ImageData", ["image_path", "exif"])

# %% ../01_exif_explorer.ipynb 9
def open_image(image_path):
    with open(image_path, "rb") as f:
        return Image(f)

def extract_exif(images):
    # Some images don't have a DateTimeOriginal set, so prune those out.
    return [ImageData(i, open_image(i)) for i in images if open_image(i).get('datetime_original')]
